<?php
$path = dirname(__FILE__); // 请设置需要修改的目录，默认目录为当前文件目，如需要修改bbs目录，则将 $path = dirname(__FILE__) . '/bbs'; 
set_time_limit(500); // 超时时间


// 下面的内容一般不需要去动，如有疑问可以到 http://bbs.vshosting.org 交流。

function get_filetree($path)
{
    $tree = array();
    foreach(glob($path . '/*') as $single)
    {	
		if(is_dir($single)) {
			$tree = array_merge($tree, get_filetree($single));
		}
		$tree[] = $single;
    }
    return $tree;
}

$filetree = get_filetree($path);
echo '<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>目录及文件夹权限自动修改器 - by vsHosting.org</title><style type="text/css">body, td, th {font-size: 14px;}body {margin:0 auto;padding:0px;margin-left: 0px;margin-right: 0px;}</style></head><body>';
foreach ($filetree as $key => $value)
{
    if (@chmod($value, 0755) == true)
    {
        echo "[ <font color='green'>Pass</font> ] " . $value . "<br />\r\n";
    } 
    else
    {
        echo "[ <font color='red'><b>Fail</b></font> ] " . $value . "<br />\r\n";
    } 

} 
echo '</body></html>';

?>